# Video Conference Kit

**Video Conference Kit** is a prebuilt feature-rich component, which enables you to build video conferences into your app in minutes.

And it includes the business logic with the UI, you can add or remove features accordingly by customizing UI components.

>
>
>If you find this package helpful, please help by giving it a 👍 on pub.dev! ↗️
>
>Your support and encouragement motivate us to continue improving and maintaining this package.
>
>Thank you for recognizing our work! 👏👏

---



| User1 | User2 |
| --- | -- |
| ![user1](https://storage.zego.im/sdk-doc/Pics/ZegoUIKit/conference/user1.gif) | ![user2](https://storage.zego.im/sdk-doc/Pics/ZegoUIKit/conference/user2.gif) |



## When do you need the Video Conference Kit

- Build apps faster and easier
  - Want to prototype video conferences ASAP
  - Consider speed or efficiency as the top priority
  - Video Conference Kit allows you to integrate in minutes
- Customize UI and features as needed
  - Want to customize features based on actual business needs
  - Less time wasted developing basic features
  - Video Conference Kit includes the business logic along with the UI, allows you to customize features accordingly

## Features

- Multi-user audio/video conferences
- Screen sharing
- Adaptive video layouts
- Real-time sound waves display
- Customizable UI styles
- Device management
- Extendable top/bottom menu bar
- Customizable conference title
- Member list
- Live text chat
- Conference join/leave notifications


## Documentation

- [Quick start](https://docs.zegocloud.com/article/14894)
- Customize
    - [Overview](https://docs.zegocloud.com/article/14898)
    - [Set avatar for users](https://docs.zegocloud.com/article/16209)
    - [Add custom components to user view](https://docs.zegocloud.com/article/16211)
    - [Configure video layouts](https://docs.zegocloud.com/article/16204)
    - [Hide components](https://docs.zegocloud.com/article/16216)
    - [Customize the menu bar](https://docs.zegocloud.com/article/16232)
    - [Set a leave confirmation dialog](https://docs.zegocloud.com/article/16222)
    - [Turn off cam and mic when joining meeting](https://docs.zegocloud.com/article/16236)
    - [Implement an audio-only conference](https://docs.zegocloud.com/article/16241)
- Advance
    - [Screen sharing](https://docs.zegocloud.com/article/15647)

## More

[Sample Code](https://github.com/ZEGOCLOUD/zego_uikit_prebuilt_video_conference_example_flutter)

<br />

[Please visit our official website for more details.](https://docs.zegocloud.com/article/14902)